# SPDX-License-Identifier: MIT
---
# yamllint disable rule:line-length
- name: Check if grafana-pcp datasources are configured
  uri:
    url: "http://admin:admin@localhost:3000/api/datasources/name/PCP%20{{ item }}"
    force_basic_auth: true
    headers:
      Content-Type: application/json
      Accept: application/json
    method: GET
    status_code: 200
  loop:
    - Redis
    - Vector
    - bpftrace
# yamllint enable rule:line-length
